curl --request POST \
--url http://{host}:{port}/{contextPath}/external-task/{id}/complete \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"workerId": "aWorker",
"variables": {
"aVariable": {
"value": "aStringValue"
},
"anotherVariable": {
"value": 42
},
"aThirdVariable": {
"value": true
}
},
"localVariables": {
"aLocalVariable": {
"value": "aStringValue"
}
}
}
'import requests
url = "http://{host}:{port}/{contextPath}/external-task/{id}/complete"
payload = {
"workerId": "aWorker",
"variables": {
"aVariable": { "value": "aStringValue" },
"anotherVariable": { "value": 42 },
"aThirdVariable": { "value": True }
},
"localVariables": { "aLocalVariable": { "value": "aStringValue" } }
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
workerId: 'aWorker',
variables: {
aVariable: {value: 'aStringValue'},
anotherVariable: {value: 42},
aThirdVariable: {value: true}
},
localVariables: {aLocalVariable: {value: 'aStringValue'}}
})
};
fetch('http://{host}:{port}/{contextPath}/external-task/{id}/complete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"type": "<string>",
"message": "<string>",
"code": 123
}{
"type": "<string>",
"message": "<string>",
"code": 123
}{
"type": "<string>",
"message": "<string>",
"code": 123
}完成
Completes an external task by id and updates process variables.
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The id of the task to complete.
Body
A JSON object containing variable key-value pairs. Each key is a variable name and each value a JSON variable value object with the following properties:
Show child attributes
Show child attributes
A JSON object containing local variable key-value pairs. Local variables are set only in the scope of external task. Each key is a variable name and each value a JSON variable value object with the following properties:
Show child attributes
Show child attributes
Mandatory. The ID of the worker who is performing the operation on the external task. If the task is already locked, must match the id of the worker who has most recently locked the task.
Response
Request successful.